> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reactivation attended

> This endpoint retrieves reactivation values for a specific location and for a specific duration.

- duration (optional): The time period (in days) to look up data within, starting from the given date.
- submitted_by_id (optional): Identifies the provider who submitted the appointments.
- q[exam_type_filter] (optional): A parameter to specify the exam type that can be "limited", "comprehensive" or "periodic".
- q[appointment_exam_provider_id_in] (optional): A parameter to specify the provider ids of exams to search with given in array.
- q[appointment_provider_id_in] (optional): A parameter to specify the provider ids of appointments to search with given in array.



## OpenAPI

````yaml https://app.teamcaredental.com/openapi-vendors.json get /locations/{location_id}/patients/reactivation_attended
openapi: 3.1.0
info:
  title: TeamCare Vendor API
  version: 1.0.0
  description: Vendor APIs for integrating dental office data. HIPAA-compliant and opt-in.
servers:
  - url: https://app.teamcaredental.com/api/v1/vendors
security:
  - bearerAuth: []
paths:
  /locations/{location_id}/patients/reactivation_attended:
    get:
      tags:
        - Metrics
      summary: Reactivation attended
      description: >-
        This endpoint retrieves reactivation values for a specific location and
        for a specific duration.


        - duration (optional): The time period (in days) to look up data within,
        starting from the given date.

        - submitted_by_id (optional): Identifies the provider who submitted the
        appointments.

        - q[exam_type_filter] (optional): A parameter to specify the exam type
        that can be "limited", "comprehensive" or "periodic".

        - q[appointment_exam_provider_id_in] (optional): A parameter to specify
        the provider ids of exams to search with given in array.

        - q[appointment_provider_id_in] (optional): A parameter to specify the
        provider ids of appointments to search with given in array.
      operationId: locations_resources_patients_metrics_reactivation_attended
      parameters:
        - name: location_id
          in: path
          required: true
          description: The ID of the location for which patients are to be retrieved.
          schema:
            type: string
        - name: date
          in: query
          required: false
          description: >-
            The reference date representing when the first treatment was
            performed.
          schema:
            type: string
            format: date
            example: '2024-03-01'
        - name: duration
          in: query
          required: false
          schema:
            type: integer
            example: 90
        - name: submitted_by_id
          in: query
          required: false
          schema:
            type: integer
            example: 33
        - name: q
          in: query
          required: false
          style: deepObject
          explode: true
          schema:
            type: object
            properties:
              exam_type_filter:
                type: string
                example: ''
              appointment_exam_provider_id_in:
                type: array
                items: {}
              appointment_provider_id_in:
                type: array
                items: {}
          example:
            exam_type_filter: ''
            appointment_exam_provider_id_in: []
            appointment_provider_id_in: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
        '401':
          description: Missing, invalid or expired token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: not authorized
        '403':
          description: The credential may not access this resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: access Denied
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: resource not found
        '422':
          description: The request could not be processed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: ...
        '429':
          description: >-
            Concurrency limit exceeded. The request was not executed; retry is
            safe.
          headers:
            Retry-After:
              description: Seconds to wait before retrying.
              schema:
                type: integer
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
                  sync_type:
                    type: string
                    enum:
                      - initial
                      - incremental
                  max_concurrent_locations:
                    type: integer
                  active_location_ids:
                    type: array
                    items:
                      type: integer
                  retry_after_seconds:
                    type: integer
              example:
                errors: >-
                  Too many locations syncing concurrently. At most 5 locations
                  may have initial sync requests in flight at a time.
                sync_type: initial
                max_concurrent_locations: 5
                active_location_ids:
                  - 101
                  - 102
                  - 103
                  - 104
                  - 105
                retry_after_seconds: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT returned by POST /auth/token. Valid for six hours.

````